#
# spec file for package libspatialite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname %{name}7
Name:           libspatialite
Version:        4.2.0
Release:        3.14
Summary:        Spatial SQLite
License:        MPL-1.1
Group:          Development/Libraries/C and C++
Url:            http://www.gaia-gis.it/spatialite/
Source:         http://www.gaia-gis.it/gaia-sins/%{name}-sources/%{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  freexl-devel
BuildRequires:  gcc-c++
BuildRequires:  libgeos-devel
BuildRequires:  libproj-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkg-config
BuildRequires:  sqlite-devel >= 3.7.3
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SpatiaLite extension enables SQLite to support spatial data too [aka
GEOMETRY], in a way conformant to OpenGis specifications.

%package -n %{libname}
Summary:        Spatial SQLite
Group:          System/Libraries

%description -n %{libname}
The SpatiaLite extension enables SQLite to support spatial data too [aka
GEOMETRY], in a way conformant to OpenGis specifications.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to compile and develop applications that use libspatialite.

%prep
%setup -q

%build
%configure \
	--disable-static

make %{?_smp_mflags}
doxygen

%if 0%{?suse_version} > 1210
%check
# Don't fail build - two failures (reported to upstream)
make check %{?_smp_mflags} || :
%endif

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%fdupes -s %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING README README.coverage
%{_libdir}/lib*.so.*
%{_libdir}/mod_spatialite.so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING README README.coverage html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/mod_spatialite.so
%{_libdir}/pkgconfig/spatialite.pc

%changelog
* Sat Mar  7 2015 mpluskal@suse.com
- Remove unknown configure flags
- Don't fail build because of failing test
* Wed Feb  4 2015 mpluskal@suse.com
- Fix library category
- Actually try to use fdupes
* Wed Feb  4 2015 kukuk@suse.de
- Fix library package name according shared library policy
* Sat Jan 31 2015 mpluskal@suse.com
- Minor spec file cleanup
- Use url for source
- Install LICENCE, README and README.coverage
- Build documentation and bundle it with -devel package
- Enable and execute tests
- Update to version 4.2.0 (no changelog provided)
* Sun Jul  7 2013 tzotsos@opensuse.org
- Updated to version 4.1.1
* Sun Feb 10 2013 behrisch@users.sourceforge.net
- Added CFLAGS="-std=c99" for older compilers
* Mon Nov 26 2012 tzotsos@opensuse.org
- Updated to version 4.0.0
* Thu Mar 22 2012 behrisch@users.sf.net
- disable geocallbacks for RHEL / CentOS build (due to outdated sqlite)
* Tue Mar  6 2012 tzotsos@opensuse.org
- Updated to version 3.0.1
* Wed Aug 17 2011 idonmez@novell.com
- Add libspatialite-no-proj-la.patch: don't look for libproj.la file
- Disable static libraries
* Fri Apr 29 2011 sasch.pe@gmx.de
- Spec file cleanup:
  - Proper license header and preamble
  - Use RPM macros where applicable
  - Use smp-flags for make
  - Fixed Fedora-style changes file
  - Proper post/postun for libspatialite1
  - Use group Development/Libraries/C and C++
* Wed Apr 13 2011 behrisch@users.sourceforge.net
- CentOS build
* Mon Apr 11 2011 behrisch@users.sourceforge.net
- Fixing 64bit build
* Mon Dec 20 2010 tzotsos@gmail.com
- Initial build
